View Issue Details

IDProjectCategoryView StatusLast Update
0031363FPCDocumentationpublic2017-02-11 15:57
ReporterZoran VučenovićAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.1Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031363: Date format in include directive
DescriptionThe documentation page http://www.freepascal.org/docs-html/current/prog/progsu41.html do not say what is date format of string got with {$i Date}.

Admittedly,the example in the bottom of the page shows:
  This program was compiled at 17:40:18 on 1998/09/09

However, the reader does not know if it is always so, or it is dependant on something (current OS locale).

According to some tests I took, it is always yyyy/mm/dd (which is good, of course, so we can rely on it), but please write it explicitly, I suggest:

 DATE
    Inserts the current date, always in format yyyy/mm/dd.
TagsNo tags attached.
Fixed in Revision1391
FPCOldBugId
FPCTarget
Attached Files

Activities

Thaddy de Koning

2017-02-07 12:53

reporter   ~0098010

Last edited: 2017-02-07 13:03

View 8 revisions

http://www.freepascal.org/docs-html/prog/progsu41.html#x48-470001.2.41 - mine
http://www.freepascal.org/docs-html/current/prog/progsu41.html - yours

The documentation clearly states it needs to be surrounded by %.
With both links.... sigh.

{$I %TIME%} works for ages. I can test only from release version 2.6.4 which is already very old.

This is meant to be local compile time. Not UTC. And with current locale settings for your system except in ymd order.

Plz ask to close.

Michael Van Canneyt

2017-02-07 13:48

administrator   ~0098011

Thaddy, the request to explicitly document the format of the date is valid.

Michael Van Canneyt

2017-02-11 15:57

administrator   ~0098103

Explicitly documented date and time formats.

Issue History

Date Modified Username Field Change
2017-02-07 11:59 Zoran Vučenović New Issue
2017-02-07 11:59 Zoran Vučenović Status new => assigned
2017-02-07 11:59 Zoran Vučenović Assigned To => Michael Van Canneyt
2017-02-07 12:53 Thaddy de Koning Note Added: 0098010
2017-02-07 12:54 Thaddy de Koning Note Edited: 0098010 View Revisions
2017-02-07 12:56 Thaddy de Koning Note Edited: 0098010 View Revisions
2017-02-07 12:59 Thaddy de Koning Note Edited: 0098010 View Revisions
2017-02-07 13:00 Thaddy de Koning Note Edited: 0098010 View Revisions
2017-02-07 13:01 Thaddy de Koning Note Edited: 0098010 View Revisions
2017-02-07 13:02 Thaddy de Koning Note Edited: 0098010 View Revisions
2017-02-07 13:03 Thaddy de Koning Note Edited: 0098010 View Revisions
2017-02-07 13:48 Michael Van Canneyt Note Added: 0098011
2017-02-11 15:57 Michael Van Canneyt Fixed in Revision => 1391
2017-02-11 15:57 Michael Van Canneyt Note Added: 0098103
2017-02-11 15:57 Michael Van Canneyt Status assigned => resolved
2017-02-11 15:57 Michael Van Canneyt Fixed in Version => 3.1.1
2017-02-11 15:57 Michael Van Canneyt Resolution open => fixed
2017-02-11 15:57 Michael Van Canneyt Target Version => 3.2.0